\documentclass[xcolor=svgnames]{beamer}
\usetheme{Stockton}

\usepackage{epsfig} %for figures
\usepackage{xcolor} %for color
\usepackage[utf8]{inputenc}
\usepackage{multicol}
\usepackage{listings}
\usepackage{textcomp}

%latex definitions:
\def\d{{\rm d}}
\def\half{{\textstyle{1\over2}}}



\title[LFortran\hspace{14em}\insertframenumber/
\inserttotalframenumber]{LFortran: Interactive LLVM-based Fortran Compiler for Modern Architectures}


\author[Čertík, Curcic]{%
Ondřej Čertík\inst{1},
Gagandeep Singh,
Thirumalai Shaktivel,
Dominic Poerio,
Rohit Goswami,
Jacob Marks,
Himanshu Pandey,
Nikhil Maan,
Ankit Pandey,
Scot Halverson,
Laurence Kedward,
Milan Curcic%
}

\pgfdeclareimage[height=1.5cm]{mylogo}{images/lanl_logo}
\institute{%
Los Alamos National Laboratory\inst{1}\\
\vskip0.3cm \pgfuseimage{mylogo}}

\date{July, 2021}

\begin{document}

\begin{frame}
\maketitle
\end{frame}


\begin{frame}{LFortran: Motivation}
Everything one would expect from modern Fortran:
\begin{itemize}
    \item Cross platform compilation to binaries
    \item Interactivity (like Python)
    \item Nice error messages and warnings
    \item Automatic interoperability with other languages
    \item Translation to other languages
    \item Automatic formatting / language server (VSCode)
    \item Run well on modern architectures (GPU)
    \item Clean design, usable as a library
    \item Static analysis
    \item ...
\end{itemize}
As facilitated by a \textbf{modern compiler}!!
\end{frame}

\begin{frame}{LFortran: Current Status}
\begin{itemize}
    \item Production version written in C++
    \item Works interactively (Jupyter) and compiles to binaries with two
          backends (LLVM and x86)
    \item C++ translation backend
    \item Complete Fortran 2018 parser and formatter
    \item Can compile most features of Fortran 95 at least partially
    \item 3 GSoC students
\end{itemize}
\end{frame}

\begin{frame}{LFortran: Future Plans}
Near term (end of summer)
\begin{itemize}
    \item Finish Fortran 95 compilation (SNAP and Dftatom projects)
    \item Release Minimum Viable Product (MVP)
    \item Get first users
\end{itemize}
Longer term:
\begin{itemize}
    \item Compile Fortran 2018 (including fixed-form and F77)
    \item Grow a community of developers
    \item Automatic Python and C++ wrappers
    \item Robust translation to C++
    \item Add other translation backends (Julia, Python/Numba, etc.)
    \item All the other items from the Motivation
\end{itemize}
\end{frame}


\end{document}
